﻿#include <iostream>
#include <string>

#include "boost/asio.hpp"
#include "http/server.hpp"

#include "noun.h"

int main()
{
	SetupDeclentionMap();
	LoadNounDeclencionCaseTable();
	LoadFrequentWordSet();
	FillDivisionCaseMaps();
	CalculatePluralForm();

	//RecognizeNoun(L"стульями");
	//Косяк: "вечер"

	try
	{

		// Initialise the server.
		http::server::server s("0.0.0.0", "8843");

		// Run the server until stopped.
		s.run();
	}
	catch (std::exception& e)
	{
		std::cerr << "exception: " << e.what() << "\n";
	}

	/*
	std::wstring s(L"уродам");

	std::vector<NounStruct> recognizedResultArr = RecognizeNoun(s);

	for (auto& i : recognizedResultArr)
	{
		std::wcout << i.noun << L"\n";
	}*/



	system("pause");

	return 0;
}